Page MenuHomePhabricator

Events Portal Creation on Wikis
Closed, ResolvedPublic

Description

What is the problem?

We currently are creating the events team portal on the wiki's (Meta + Office), and require some assistance in the creation.

How can we help you?

Help us with the framework (= look & feel) of the Wikis. We will provide a blueprint of the layout and an existing Wiki page we were inspired by

What does success look like?

A fully operational Events Portal for internal (wmf) folks and for external parties

What is your deadline?

I would like to have our page layout and format ready within a month from now.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2019, 5:16 PM
Quiddity triaged this task as Normal priority.Jun 12 2019, 8:25 PM

1 page created at https://office.wikimedia.org/wiki/Events_Team
Waiting for feedback in the doc or here before I can do anything more.

Great work on this! Will get back to you with feedback

@Quiddity any possibility of linking through the calendar from WM Spaces: https://discuss-space.wmflabs.org/c/events/l/calendar

Also, do you see a possibility of adding the populated world map from WM spaces onto the wiki? or that a technical no-go?

What are the options?

@JLetangWMF AFAIK, it is not currently possible to embed content from Wikimedia Space into the wikis, although that is certainly a desired feature - hopefully in the (somewhat distant) future.
For now, the main option is to provide links to the calendar-view and map-view at Wikimedia Space, and supplement that with the existing links to the many scattered locations these things are currently tracked (such as m:Events etc).

Elitre added a subscriber: Elitre.Jul 12 2019, 11:25 AM

What's left to do here? Thanks! :)

Can I get back to you in approx 1 week?

So sorry I did not get back to you on this. Will do so post-wikimania! Thanks for you patience!

Hi @Elitre, you can close this task. I will reopen at a later stage. Thanks!

Elitre closed this task as Resolved.Sep 13 2019, 9:31 AM
Elitre awarded a token.

I have a question for @Quiddity: would it be possible to replicate this kind of calendar on the meta/office wikipage for the events team: https://wikimedia.org.au/wiki/Calendar

@JLetangWMF: https://wikimedia.org.au/wiki/Calendar seems to use the Cargo extension.
That extension is not deployed on Wikimedia servers so it would have to go through a review.

Oeh, that seems like quite the waitlist. Maybe best to put it on the back-burner --Thanks @Aklapper!

@JLetangWMF: https://wikimedia.org.au/wiki/Calendar seems to use the Cargo extension.
That extension is not deployed on Wikimedia servers so it would have to go through a review.

What about https://outreach.wikimedia.org/wiki/GLAM/Calendar ?

Quiddity added a comment.EditedWed, Sep 25, 7:38 PM

@JLetangWMF: https://wikimedia.org.au/wiki/Calendar seems to use the Cargo extension.
That extension is not deployed on Wikimedia servers so it would have to go through a review.

What about https://outreach.wikimedia.org/wiki/GLAM/Calendar ?

That would visually achieve the same result, but it's just a raw wikitext table and hence requires manual & duplicate editing for each event (or event-change) at both wikis.
Whereas I assume Joël is looking for something that automatically pulls in information from an existing open-format calendar, like the iCalendar standard (which I guess is what Cargo does), thus making all changes able to automatically propagate outwards from a central source. E.g. The Space Event system lets us subscribe to webcal://discuss-space.wmflabs.org/c/events/l/calendar.ics

Yes, @Quiddity would be correct. The maintenance of the calendar would seem like an arduous process if there are 2 wiki's to continuously update. I am looking for a more efficient solution.

@elappen-WMF is the integration between the Space calendar and the wikis something we should/could request? (I couldn't find an existing task around it).

Because the calendar is just based on the feed of events, it would fall under this task: T215053: Write an extension for displaying Discourse feeds on mediawiki.org. Once the extension is finished, people will be able to create a feed of events from Space on-wiki.

As of now, the Events team can already link to the general calendar from their on-wiki portal, or to a calendar with events having any given tag. For example, the calendar for events with online attendance: https://discuss-space.wmflabs.org/c/events/l/calendar?tags=online-attendance.